org.apache.flume.source.taildir

## Class TailFile

- java.lang.Object
- - org.apache.flume.source.taildir.TailFile

-     public class TailFile
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TailFile(File file, Map<String,String> headers, long inode, long pos)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `Map<String,String>` | `getHeaders()`
    `long` | `getInode()`
    `long` | `getLastUpdated()`
    `long` | `getLineReadPos()`
    `String` | `getPath()`
    `long` | `getPos()`
    `RandomAccessFile` | `getRaf()`
    `boolean` | `needTail()`
    `List<Event>` | `readEvents(int numEvents, boolean backoffWithoutNL, boolean addByteOffset)`
    `org.apache.flume.source.taildir.TailFile.LineResult` | `readLine()`
    `void` | `setLastUpdated(long lastUpdated)`
    `void` | `setLineReadPos(long lineReadPos)`
    `void` | `setNeedTail(boolean needTail)`
    `void` | `setPos(long pos)`
    `void` | `updateFilePos(long pos)`
    `boolean` | `updatePos(String path, long inode, long pos)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TailFile

          public TailFile(File file,
                  Map<String,String> headers,
                  long inode,
                  long pos)
                   throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getRaf

          public RandomAccessFile getRaf()

    - #### getPath

          public String getPath()

    - #### getInode

          public long getInode()

    - #### getPos

          public long getPos()

    - #### getLastUpdated

          public long getLastUpdated()

    - #### needTail

          public boolean needTail()

    - #### getHeaders

          public Map<String,String> getHeaders()

    - #### getLineReadPos

          public long getLineReadPos()

    - #### setPos

          public void setPos(long pos)

    - #### setLastUpdated

          public void setLastUpdated(long lastUpdated)

    - #### setNeedTail

          public void setNeedTail(boolean needTail)

    - #### setLineReadPos

          public void setLineReadPos(long lineReadPos)

    - #### updatePos

          public boolean updatePos(String path,
                          long inode,
                          long pos)
                            throws IOException

      Throws:
        `IOException`

    - #### updateFilePos

          public void updateFilePos(long pos)
                             throws IOException

      Throws:
        `IOException`

    - #### readEvents

          public List<Event> readEvents(int numEvents,
                               boolean backoffWithoutNL,
                               boolean addByteOffset)
                                 throws IOException

      Throws:
        `IOException`

    - #### readLine

          public org.apache.flume.source.taildir.TailFile.LineResult readLine()
                                                                       throws IOException

      Throws:
        `IOException`

    - #### close

          public void close()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.